import { InferredOptionTypes } from 'yargs';
import { GlobalCliOptions } from '../../../global/options/index.js';
export declare const persistOptions: {
    outPath: {
        alias: string;
        type: "string";
        description: string;
    };
    format: {
        alias: string;
        type: "array";
        string: true;
        description: string;
        choices: import("./types.js").ReportFormat[];
    };
    openReport: {
        alias: string;
        type: "boolean";
        description: string;
        default: boolean | undefined;
        requiresArg: true;
    };
};
export declare const collectOptions: {
    outPath: {
        alias: string;
        type: "string";
        description: string;
    };
    format: {
        alias: string;
        type: "array";
        string: true;
        description: string;
        choices: import("./types.js").ReportFormat[];
    };
    openReport: {
        alias: string;
        type: "boolean";
        description: string;
        default: boolean | undefined;
        requiresArg: true;
    };
    url: {
        alias: string;
        type: "string";
        description: string;
    };
    ufPath: {
        alias: string;
        type: "string";
        description: string;
    };
    config: {
        alias: string;
        type: "string";
        description: string;
    };
    configPath: {
        alias: string;
        type: "string";
        description: string;
    };
    serveCommand: {
        alias: string;
        type: "string";
        description: string;
    };
    awaitServeStdout: {
        alias: string;
        type: "string";
        description: string;
        implies: string[];
    };
    dryRun: {
        alias: string;
        type: "boolean";
        description: string;
        default: boolean;
    };
};
export type CollectOptions = InferredOptionTypes<typeof collectOptions>;
export type CollectCommandOptions = CollectOptions & GlobalCliOptions;
