import { concat } from '../../../core/processing/behaviors.js';
import { collectFlow, loadFlow } from '../utils/user-flow/index.js';
import { persistFlow } from '../utils/persist/persist-flow.js';
import { handleOpenFlowReports } from '../utils/persist/open-report.js';
export async function collectReports(cfg, argv) {
    const { collect, persist } = cfg;
    const userFlows = await loadFlow(collect);
    await concat(userFlows.map(({ exports: provider, path }) => (_) => {
        return collectFlow({ ...collect, ...persist, }, { ...provider, path }, argv)
            .then((flow) => persistFlow(flow, { ...persist, ...collect }))
            .then(handleOpenFlowReports(argv))
            .then(_ => cfg);
    }))(cfg);
    return Promise.resolve(cfg);
}
//# sourceMappingURL=collect-reports.js.map