import { createRunner } from '@puppeteer/replay';
import { readFile } from '../../../../core/file/index.js';
import { UserFlowRunnerExtension } from './runner-extension.js';
import { parse } from './parse.js';
export async function createUserFlowRunner(path, ctx) {
    const { browser, page, flow } = ctx;
    const runnerExtension = new UserFlowRunnerExtension(browser, page, flow);
    const jsonRecording = readFile(path, { ext: 'json' });
    const recording = parse(jsonRecording);
    return await createRunner(recording, runnerExtension);
}
//# sourceMappingURL=index.js.map