import { PuppeteerRunnerExtension } from "@puppeteer/replay";
import { isMeasureType } from "./utils.js";
export class UserFlowRunnerExtension extends PuppeteerRunnerExtension {
    flow;
    constructor(browser, page, flow, opts) {
        super(browser, page, opts);
        this.flow = flow;
    }
    async runStep(step, flowRecording) {
        if (isMeasureType(step.type) && !this.flow?.currentTimespan) {
            const userFlowStep = step;
            const stepOptions = userFlowStep?.stepOptions;
            if (userFlowStep.type === 'navigate') {
                // TODO fix (Changes to Flow API)
                // @ts-ignore
                return this.flow[userFlowStep.type](userFlowStep?.url, { ...stepOptions });
            }
            // TODO fix (Changes to Flow API)
            // @ts-ignore
            return this.flow[userFlowStep.type]({ ...stepOptions });
        }
        else {
            return super.runStep(step, flowRecording);
        }
    }
}
//# sourceMappingURL=runner-extension.js.map