import { StepType } from '@puppeteer/replay';
export function isMeasureType(str) {
    switch (str) {
        case 'navigate':
        case 'snapshot':
        case 'startTimespan':
        case 'endTimespan':
            return true;
        default:
            return false;
    }
}
export function stringify(enrichedRecordingJson) {
    const { title, steps } = enrichedRecordingJson;
    const standardizedJson = {
        title,
        steps: (steps).map((step) => {
            if (isMeasureType(step.type)) {
                return userFlowStepToCustomStep(step);
            }
            return step;
        })
    };
    return JSON.stringify(standardizedJson);
}
function userFlowStepToCustomStep(step) {
    const { type: name, parameters } = step;
    const stdStp = {
        type: StepType.CustomStep,
        name,
        parameters
    };
    return stdStp;
}
//# sourceMappingURL=utils.js.map