import { parseSteps } from './lh-utils.js';
import { toFileName } from '../../../../core/file/index.js';
import { isoDateStringToIsoLikeString } from '../persist/utils.js';
export function createReducedReport(flowResult) {
    const steps = parseSteps(flowResult.steps);
    return {
        name: flowResult.name,
        fetchTime: steps[0].fetchTime,
        steps
    };
}
export function enrichReducedReportWithBaseline(reducedReport, baselineReport) {
    const baselineReducedReport = createReducedReport(baselineReport);
    const baselineResults = Object.fromEntries(baselineReducedReport.steps.map((step) => [step.name, step.results]));
    const steps = reducedReport.steps.map((step) => ({ ...step, 'baseline': baselineResults[step.name] }));
    return {
        ...reducedReport,
        steps
    };
}
export function toReportName(url, flowName, report) {
    const fetchTime = isoDateStringToIsoLikeString(report.steps[0].fetchTime);
    return `${toFileName(url)}-${toFileName(flowName)}-${isoDateStringToIsoLikeString(fetchTime)}`;
}
//# sourceMappingURL=utils.js.map