import { InferredOptionTypes } from 'yargs';
export declare const initOptions: {
    outPath: {
        alias: string;
        type: "string";
        description: string;
    };
    format: {
        alias: string;
        type: "array";
        string: true;
        description: string;
        choices: import("../../index.js").ReportFormat[];
    };
    openReport: {
        alias: string;
        type: "boolean";
        description: string;
        default: boolean | undefined;
        requiresArg: true;
    };
    url: {
        alias: string;
        type: "string";
        description: string;
    };
    ufPath: {
        alias: string;
        type: "string";
        description: string;
    };
    config: {
        alias: string;
        type: "string";
        description: string;
    };
    configPath: {
        alias: string;
        type: "string";
        description: string;
    };
    serveCommand: {
        alias: string;
        type: "string";
        description: string;
    };
    awaitServeStdout: {
        alias: string;
        type: "string";
        description: string;
        implies: string[];
    };
    dryRun: {
        alias: string;
        type: "boolean";
        description: string;
        default: boolean;
    };
    generateFlow: {
        alias: string;
        type: "boolean";
        description: string;
    };
    generateGhWorkflow: {
        alias: string;
        type: "boolean";
        description: string;
    };
    lhr: {
        type: "string";
        description: string;
    };
};
export type InitOptions = InferredOptionTypes<typeof initOptions>;
