import { ReadFileConfig } from '../../commands/collect/utils/replay/types.js';
import { ExtToOutPut, ResolveFileResult } from './types.js';
export { toFileName } from './to-file-name.js';
type Not<T, R> = R extends T ? never : R;
type ReadFileOutput<CFG extends {}, OVERWRITE extends unknown> = Not<OVERWRITE, undefined> extends never ? ExtToOutPut<CFG> : OVERWRITE;
/**
 * Ensures the file exists before reading it
 */
export declare function readFile<R extends any = undefined, T extends ReadFileConfig = {}>(path: string, cfg?: T): ReadFileOutput<T, R>;
/**
 * Ensures the folder exists before writing it
 */
export declare function writeFile(filePath: string, data: string): Promise<void>;
export declare function resolveAnyFile<T>(path: string): Promise<ResolveFileResult<T>>;
