const stylesMap = {
    i: '*',
    b: '**',
    s: '~', // strike through
};
/**
 * **{text}** // default is bold
 *
 * *{text}* // italic - styles set to `['i']`
 *
 * ~**{text}**~ // bold & stroke-through - styles set to `['b','s']`
 */
export function style(text, styles = ['b']) {
    return styles.reduce((t, s) => `${stylesMap[s]}${t}${stylesMap[s]}`, text);
}
//# sourceMappingURL=font-style.js.map