import { formatCode } from '../prettier/index.js';
const alignString = new Map([['l', ':--'], ['c', ':--:'], ['r', '--:']]);
/**
 * | Table Header 1  | Table Header 2 |
 * | --------------- | -------------- |
 * |  String 1       |  1             |
 * |  String 1       |  2             |
 * |  String 1       |  3             |
 */
export async function table(data, align) {
    align = align || data[0].map(_ => 'c');
    const _data = data.map((arr) => arr.join('|'));
    const secondRow = align.map((s) => alignString.get(s)).join('|');
    return await formatCode(_data.shift() + '\n' + secondRow + '\n' + _data.join('\n'), 'markdown');
}
//# sourceMappingURL=table.js.map