export function run(tasks) {
    return (config) => concat(tasks)(config);
}
export function concat(processes) {
    return async function (r) {
        return await processes.reduce(async (cfg, processor) => await processor(await cfg), Promise.resolve(r));
    };
}
export function ifThenElse(condition, thenProcess, elseProcess = (_) => Promise.resolve(_)) {
    return async function (r) {
        const conditionResult = await condition(r);
        if (conditionResult) {
            return thenProcess(r);
        }
        else {
            return elseProcess ? elseProcess(r) : Promise.resolve(r);
        }
    };
}
export function tap(process) {
    return async function (d) {
        await process(d);
        return Promise.resolve(d);
    };
}
//# sourceMappingURL=behaviors.js.map