import { promptParam } from './prompt.js';
const confirmedPrompt = async (prompt) => {
    return await promptParam({
        type: 'confirm',
        message: prompt,
        initial: true,
    });
};
const isPreconditionMet = async (context, precondition) => {
    return precondition === undefined ? true : precondition(context);
};
export function confirmToProcess({ prompt, process, precondition }) {
    return async (context) => {
        const shouldPrompt = await isPreconditionMet(context, precondition);
        if (!shouldPrompt) {
            return context;
        }
        const shouldProcess = await confirmedPrompt(prompt);
        if (!shouldProcess) {
            return context;
        }
        return process(context);
    };
}
//# sourceMappingURL=confirm-to-process.js.map