export function applyValidations(value, validators) {
    return validators.reduce((errors, validator) => {
        return { ...errors, ...(validator(value) || {}) };
    }, {});
}
export function hasError(errors) {
    return Object.entries(errors).length > 0;
}
const oneOf = (set) => (value) => {
    return (set.find(i => {
        return i === value;
    }) === undefined) ? {
        oneOf: { value }
    }
        : null;
};
export const VALIDATORS = {
    required: (value) => value !== undefined && value !== '' ? null : { required: true },
    oneOf,
    allOf: (set) => (values) => {
        const _oneOf = oneOf(set);
        let errors = null;
        values.forEach((value) => {
            const e = _oneOf(value);
            if (e) {
                errors = {
                    allOf: { value },
                };
            }
        });
        return errors;
    }
};
//# sourceMappingURL=index.js.map