import yargs from './instance.js';
import { applyConfigMiddleware } from '../../config.middleware.js';
export function setupYargs(commands, options, configParser) {
    yargs.options(options)
        .parserConfiguration({ 'boolean-negation': true })
        .recommendCommands()
        .example([
        ['init', 'Setup user-flows over prompts']
    ])
        .help()
        .alias('h', 'help');
    commands.forEach((command) => yargs.command(command.command, command.description, command?.builder || (() => {
    }), applyConfigMiddleware(command.module.handler, configParser)));
    return yargs;
}
export function runCli(cliCfg) {
    // apply `.argv` to get args as plain obj available
    setupYargs(cliCfg.commands, cliCfg.options, cliCfg.configParser).argv;
}
//# sourceMappingURL=index.js.map