import { readFile, writeFile } from '../../core/file/index.js';
import { logVerbose } from '../../core/loggin/index.js';
import { globalOptions } from '../options/index.js';
export function readRcConfig(rcPath = '', options) {
    let { fail, fallback } = options || {};
    fallback = fallback || {};
    rcPath = rcPath || globalOptions.getRcPath();
    let repoConfigJson = readFile(rcPath, { ext: 'json', fail: !!fail });
    if (!repoConfigJson) {
        repoConfigJson = fallback;
    }
    return repoConfigJson;
}
export function updateRcConfig(config, rcPath = '') {
    rcPath = rcPath || globalOptions.getRcPath();
    // NOTICE: this is needed for better git flow.
    // Touch a file only if needed
    if (JSON.stringify(readRcConfig()) !== JSON.stringify(config)) {
        writeFile(rcPath, JSON.stringify(config));
        logVerbose(`Update config under ${rcPath} to`, config);
    }
}
export function getCliOptionsFromRcConfig(rcPath) {
    const { collect, persist } = readRcConfig(rcPath || globalOptions.getRcPath());
    return { ...collect, ...persist };
}
//# sourceMappingURL=index.js.map